/*
 *
 *  Created on: Mar 1, 2021
 *      Author: astrisw
 */
#ifndef TCP_PROTOCOL_H_
#define TCP_PROTOCOL_H_

#include <Base_Protocol.h>


/*
 * class TCPSocket
 * Implementation of a TCP socket
 * @member field fd_sock: socket file descriptor
 */

class TCPProtocol : public BaseProtocol{
protected:
	int fd_sock;
public:
	TCPProtocol(std::string hs, int prt);
	~TCPProtocol(){
		std::cout << "TCP DISTRUCTOR CALLED" << std::endl;
	}
	int connectToClient();
	int connectToServer();
	int sendPacketToSrv(BasePacket &);
	int rcvPacketFromCli(BasePacket &);

};

#endif /* TCP_PROTOCOL_H_ */
